ObjectImpl Class Reference

Implementation class for Object. More...

Inheritance diagram for ObjectImpl:

## Public Member Functions

| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Attributes

unsigned int volatile | ref

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

Implementation class for Object.

## Constructor & Destructor Documentation

## ObjectImpl()

ObjectImpl | ( |  | ) |

## ~ObjectImpl()

virtual ~ObjectImpl | ( |  | ) |

virtual

## Member Function Documentation

## addRef()

void addRef | ( |  | ) | const

virtual

Implements Object.

Reimplemented in DOMConfigurator, TimeBasedRollingPolicy, Logger, PropertyConfigurator, Hierarchy, Filter, RollingPolicyBase, FallbackErrorHandler, OnlyOnceErrorHandler, TriggeringPolicy, Layout, and DefaultRepositorySelector.

## releaseRef()

void releaseRef | ( |  | ) | const

virtual

Implements Object.

Reimplemented in DOMConfigurator, TimeBasedRollingPolicy, Logger, PropertyConfigurator, Hierarchy, Filter, RollingPolicyBase, FallbackErrorHandler, OnlyOnceErrorHandler, TriggeringPolicy, Layout, and DefaultRepositorySelector.

## Member Data Documentation

## ref

unsigned int volatile ref

mutable protected

The documentation for this class was generated from the following file:

- objectimpl.h